Skip to main content
GET
GetMonitor

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The unique identifier of the conflict monitor to retrieve.

Response

200 - application/json

A conflict monitor defines a Separation of Duty rule between two entitlement sets. It detects when any user holds entitlements from both set A and set B simultaneously.

A conflict monitor defines a Separation of Duty rule between two entitlement sets. It detects when any user holds entitlements from both set A and set B simultaneously.

createdAt
string<date-time> | null
deletedAt
string<date-time> | null
description
string

A description explaining the purpose of this Separation of Duty rule.

displayName
string

The human-readable name of the conflict monitor.

enabled
boolean

Whether the conflict monitor is actively scanning for violations.

entitlementSetAId
string

The identifier of entitlement set A in the conflict rule.

entitlementSetBId
string

The identifier of entitlement set B in the conflict rule.

id
string

The unique identifier of this conflict monitor.

negateGroupB
boolean
deprecated

Deprecated: use rule. True when rule is holds_a_without_b.

notificationConfig
Notification Config · object | null

The NotificationConfig message.

rule
Conflict Monitor Rule · object | null

The rule a conflict monitor detects. A rule's entitlement lists are set through the monitor's entitlement bindings (groups A and B).

This message contains a oneof named type. Only a single field of the following list may be set at a time:

  • holdsBoth
  • holdsAWithoutB
severity
enum<string>

Effective severity for new findings from this monitor. This is medium until configured severity is enabled for your tenant, even if another value is stored.

Available options:
FINDING_SEVERITY_UNSPECIFIED,
FINDING_SEVERITY_INFO,
FINDING_SEVERITY_LOW,
FINDING_SEVERITY_MEDIUM,
FINDING_SEVERITY_HIGH,
FINDING_SEVERITY_CRITICAL
updatedAt
string<date-time> | null